## python-lunr 0.6.2

=== Makefile ===
.PHONY: tests tests-acceptance tests-full install-dev docs

.state:
	mkdir .state

.state/acceptance-npm: .state
	cd tests/acceptance_tests/javascript && \
		npm install && \
		cd ../../../
	touch .state/acceptance-npm

clean:
	rm .state/*

install-dev:
	pip install -U pip wheel setuptools
	pip install -r requirements/dev.txt

tests:
	coverage run -m pytest -m "not acceptance"
	coverage report

tests-acceptance: .state/acceptance-npm
	pytest -m "acceptance"

tests-full: tests tests-acceptance

tests-benchmark:
	pytest tests/benchmarks.py --benchmark-warmup=on

package:
	rm -fr dist/*
	python setup.py sdist
	python setup.py bdist_wheel --universal

release-test: package
	@echo "Are you sure you want to release to test.pypi.org? [y/N]" && \
		read ans && \
		[ $${ans:-N} = y ] && \
		twine upload --repository testpypi dist/*

release-pypi: package
	@echo "Are you sure you want to release to pypi.org? [y/N]" && \
		read ans && \
		[ $${ans:-N} = y ] && \
		twine upload dist/*

lint:
	flake8 lunr tests
	black lunr tests
	mypy lunr

docs:
	sphinx-build docs docs/_build/html

docs-server:
	sphinx-autobuild docs docs/_build/html

=== debian/changelog ===
python-lunr (0.6.2-2) unstable; urgency=medium

  * [38b6d53] d/control: Adding required B-D python3-attr
    (Closes: #1011887)
  * [d64c699] d/control: Increase Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Jun 2022 18:03:48 +0200

python-lunr (0.6.2-1) unstable; urgency=medium

  * [510be57] d/control: Correct dep for python3-lunr to python3-nltk
  * [69eb5b7] New upstream version 0.6.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 23 Mar 2022 11:07:13 +0100

python-lunr (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
    (Closes: #1008086)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 22 Mar 2022 08:53:09 +0100

=== debian/control ===
Source: python-lunr
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 python3-attr,
# python3-mock,
 python3-myst-parser,
 python3-nltk,
# python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 sphinx-doc,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lunr
Vcs-Git: https://salsa.debian.org/python-team/packages/python-lunr.git
Homepage: https://github.com/yeraydiazdiaz/lunr.py

Package: python-lunr-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python implementation of Lunr.js (Documentation)
 Lunr is a simple full text search solution for situations where deploying a
 full scale solution like Elasticsearch isn't possible, viable or you're simply
 prototyping. Lunr parses a set of documents and creates an inverted index for
 quick full text searches in the same way other more complicated solution.
 .
 The trade-off is that Lunr keeps the inverted index in memory and requires you
 to recreate or read the index at the start of your application.
 .
 This package installs the documentation for the library.

Package: python3-lunr
Architecture: all
Depends:
 python3-nltk,
 ${misc:Depends},
 ${python3:Depends},
Suggests: python-lunr-doc
Description: Python implementation of Lunr.js (Python3 version)
 This package includes the Python version of Lunr.js aims to bring the simple
 and powerful full text search capabilities into Python guaranteeing results as
 close as the original implementation as possible.
 .
 Lunr is a simple full text search solution for situations where deploying a
 full scale solution like Elasticsearch isn't possible, viable or you're simply
 prototyping. Lunr parses a set of documents and creates an inverted index for
 quick full text searches in the same way other more complicated solution.
 .
 The trade-off is that Lunr keeps the inverted index in memory and requires you
 to recreate or read the index at the start of your application.
 .
 This package contains the Python 3 version of the library.

## python-lunr 0.7.0

=== debian/changelog ===
python-lunr (0.7.0-1) unstable; urgency=medium

  * [fc4a05d] New upstream version 0.7.0
  * [eaeb4bd] Rename patch in patch queue
  * [663d9cb] d/control: Move build backend over to hatchling
  * [2602ea3] d/control: Add BuilProfileSpecs to some build deps
  * [addfe02] d/control: Update Standards-Version to 4.6.2
  * [54d8c40] d/copyright: Update year data
  * [a040f83] d/README.source: Fixup small typo issues

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 Aug 2023 21:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
  python3-all,
 Build-Depends-Indep:
  dh-python,
- python3-attr,
+ pybuild-plugin-pyproject,
+ python3-hatchling,
 # python3-mock,
- python3-myst-parser,
+ python3-myst-parser <!nodoc>,
  python3-nltk,
 # python3-pytest,
- python3-setuptools,
- python3-sphinx,
- python3-sphinx-rtd-theme,
- sphinx-doc,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ sphinx-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lunr
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lunr.git
 Homepage: https://github.com/yeraydiazdiaz/lunr.py

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=lunr
# The tests requiring external data from the NLTK index, tests disabled for now.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs $(CURDIR)/debian/python-lunr-doc/usr/share/doc/python-lunr-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
# watch file for python-lunr

version=4

opts="mode=git, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/yeraydiazdiaz/lunr.py.git \
      refs/tags/(\d+\.\d+\.\d+)

## python-lunr 0.8.0

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	rm .state/*
 
 install-dev:
-	pip install -U pip wheel setuptools
-	pip install -r requirements/dev.txt
+	pip install -U pip wheel
+	pip install .[dev]
 
 tests:
 	coverage run -m pytest -m "not acceptance"
@@ -30,8 +30,7 @@
 
 package:
 	rm -fr dist/*
-	python setup.py sdist
-	python setup.py bdist_wheel --universal
+	python -m build
 
 release-test: package
 	@echo "Are you sure you want to release to test.pypi.org? [y/N]" && \

=== debian/changelog ===
python-lunr (0.8.0-1) unstable; urgency=medium

  * [ff7fd67] d/watch: Set some more options
  * [eef752e] New upstream version 0.8.0
  * [b38076a] d/control: Add new needed build dependencies
  * [bdba60b] d/rules: Drop --with from the default target
  * [e11af92] d/control: Update Standards-Version to 4.7.2
    No further changes needed.
  * [fc2a893] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Mar 2025 17:42:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
  debhelper-compat (= 13),
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
+ python3-hatch-fancy-pypi-readme,
  python3-hatchling,
 # python3-mock,
  python3-myst-parser <!nodoc>,
@@ -19,7 +21,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  sphinx-doc <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-lunr
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-lunr.git
 Homepage: https://github.com/yeraydiazdiaz/lunr.py

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
--- 
+++ 
@@ -3,6 +3,8 @@
 version=4
 
 opts="mode=git, \
+      compression=gz, \
+      pgpmode=none, \
       uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
       dversionmangle=s/\+ds(\.?\d+)?$//" \
 https://github.com/yeraydiazdiaz/lunr.py.git \
